controllers/UserController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\SignupForm;
use app\models\User;
use app\models\Mail;
use yii\helpers\Url;
use yii\web\UploadedFile;
use yii\bootstrap\Html;
use yii\helpers\Json;

use app\components\Settings;
use app\models\Language;
use app\models\UserEvents;
use app\models\UserSubscriptions;

use app\modules\material\models\Material;

class UserController extends Controller {
    
    public function init() {
        parent::init();
        $this->layout = "site";
    }

    public function actions() {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
        ];
    }

    public function actionIndex($id = false, $language = "ru", $tab = false, $id_post = false) {
        if (Yii::$app->user->isGuest && !$id)
            $this->redirect("/site/index");
        
        $socials = false; $posts = false;
        if ($user = User::findIdentity(($id)?$id:Yii::$app->user->id)) {
            if (!$id)
                $socials = $user->getSocials();
            $posts = $user->getPosts();
            
        }
        
        $class = Settings::getInstance()->getClassName("blogs", Settings::MATERIAL);
        if ($id_post) {
            $model = $class::find()->where(["id" => $id_post])->one();
        }
        else {
            $model = new $class;
            $model->id_language = Language::getLanguageId($language);
        }
        
        //Yii::$app->debug->show($user);
        
        return $this->render("index", [
            "view" => ($id)?true:false,
            "user" => $user,
            "socials" => $socials,
            "posts" => $posts,
            "model" => $model,
            "tab" => $tab,
        ]);
    }
    
    public function actionView($id = false) {
        return $this->actionIndex(intval($id));
    }
    
    public function actionCreatePost($id = false) {
        if (Yii::$app->user->isGuest)
            $this->redirect("/site/index");
        
        $class = Settings::getInstance()->getClassName("blogs", Settings::MATERIAL);
        $class_image = Settings::getInstance()->getClassName("blogs", Settings::IMAGE);

        $redirect_tab = "posts";
        
        if ($id) {
            $model = $class::find()->where(["id" => $id])->one();
        }
        else {
            $model = new $class();
            $model->id_language = Language::getLanguageId();
            $model->scenario = "insert";
            $model->date_public = date("Y-m-d G:i:s", time());
            $model->id_user = Yii::$app->user->id;
        }
        
        $post = Yii::$app->request->post();
        
        if (@$post['action'] == "preview") {
            $model->is_show = $class::STATUS_DRAFT;
            $redirect_tab = "create_post";
        } else {
            $model->is_show = $class::STATUS_PUBLISHED;
        }
        
        if ($model->load(Yii::$app->request->post())) {
            $gallery = false;
            $model->date_created = date("Y-m-d G:i:s", time());
            $model->fieldsClear();
            $model->_temp_gallery = UploadedFile::getInstances($model, '_temp_gallery');
            if (empty($model->short_text)) {
                $model->short_text = strip_tags(htmlspecialchars_decode(substr($model->text, 0, 1000)));
            }
            
            if ($model->save()) {
                $id_main = $model->id;
                $class::updateAll(["id_main" => $id_main], ["id" => $model->id]);
                //Загружаем галерею
                if ($model->_temp_gallery) {
                    foreach ($model->_temp_gallery as $image) {
                        $class_image::addImage($id_main, $image);
                    }
                    $class::updateGalleryStatus($id_main, true);
                    $gallery = true;
                }
                return $this->redirect(Url::toRoute(["/user/index", "tab" => $redirect_tab, "id_post" => $model->id]));
                return json_encode(["result" => true]);
            }
            else Yii::$app->debug->show($model->getErrors());
        }
    }
    
    public function actionSublist() {
        $class = Settings::getInstance()->getClassName("blogs", Settings::SUB_SECTION);
        $out = [];
        if (isset($_POST['depdrop_parents'])) {
            $parents = $_POST['depdrop_parents'];
            if ($parents != null) {
                $section_id = $parents[0];
                $out = $class::find()->select(['name' => 'name', 'id'])->where(["id_section" => $section_id])->orderBy("`name` ASC")->asArray()->all();

                //$out = ArrayHelper::map($items, 'id', 'name');
                echo Json::encode(['output' => $out, 'selected' => '']);
                return;
            }
        }
        echo Json::encode(['output' => '', 'selected' => '']);
    }
    
    public function actionUpdatePost($id = false) {
        if (Yii::$app->user->isGuest)
            $this->redirect("/site/index");

        $class = Settings::getInstance()->getClassName("blogs", Settings::MATERIAL);
        $class_image = Settings::getInstance()->getClassName("blogs", Settings::IMAGE);

        if ($id)
            $model = $class::find()->where(["id" => intval($id)])->one();
        else $model = new $class;
        //Yii::$app->debug->show($model);
        //Если пользователь на авторизированный или пытается редактировать не свой пост
        if (Yii::$app->user->isGuest || (!$model->isNewRecord && $model->id_user != Yii::$app->user->id))
            return $this->redirect("index");
        $model->loadScenario("update");

        if ($model->load(Yii::$app->request->post())) {
            $gallery = false;
            $model->fieldsClear();
            $model->_temp_gallery = UploadedFile::getInstances($model, '_temp_gallery');
            if (empty($model->short_text)) {
                $model->short_text = strip_tags(htmlspecialchars_decode(substr($model->text, 0, 1000)));
            }
            if ($model->save()) {
                //Загружаем галерею
                if ($model->_temp_gallery) {
                    foreach ($model->_temp_gallery as $image) {
                        $class_image::addImage($model->id, $image);
                    }
                    $class::updateGalleryStatus($model->id, true);
                    $gallery = true;
                }
                return $this->redirect("index");
            }
            //else Yii::$app->debug->show($model->getErrors());
        }
        
        return $this->render("post", [
            "model" => $model,
        ]);
    }
    
    public function actionDeletePost($id = false) {
        $class = Settings::getInstance()->getClassName("blogs", Settings::MATERIAL);
        return $class::updateAll(["is_show" => $class::STATUS_DELETED], ["id" => intval($id)]);
    } 
    
    public function actionAuth() {

    }

    public function actionLogout() {
        
    }

    public function actionSignup() {
        
    }
    
    public function actionChangePassword() {
        $model = new User;
        $model->load(Yii::$app->request->post());
        
        Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
        if (Yii::$app->user->isGuest) 
            return ['error' => Yii::t('client', "User not found")];
                
        $user = User::findIdentity(Yii::$app->user->id);
        
        if ($user) {
            if (empty($model->password2)) 
                    return ['password2' => Yii::t('client', "Password2 can`t be empty")];
            if ($user->validatePassword($model->password)) {
                $user->password = $model->password2;
                //echo $model->password2;
                if ($user->validate()) {
                    $user->setPassword($model->password2);
                    if ($user->save()) {
                        Mail::send(Mail::MAIL_INFO, $user->email, "Изменение пароля", "registration/recover_success", ["login" => $user->email, "first_name" => $user->first_name]);
                        return ["success" => Yii::t('client', "Password changed successful.")];
                    }
                    //else echo 4;
                }
                //else echo 3;
            }
            else return ['password' => Yii::t('client', "Invalid current password")];
        }
        else return ['error' => Yii::t('client', "User not found")];
        return $user->getErrors();
    }
    
    public function actionRecover($email = false) {
        Yii::$app->response->format = \yii\web\Response::FORMAT_JSON;
        $model = new User;
        $model->load(Yii::$app->request->get());
        //Yii::$app->debug->show($model);
        if (empty($model->email))
            return ["email" => Yii::t('client', "Please write correct e-Mail")];
        $user = User::findOne(["email" => $model->email]);
        if ($user) {
            if ($user->generateRecoverKey()) {
                $link = Yii::$app->request->hostInfo.Url::toRoute(["reset", "key" => $user->recover_password_key]);
                Mail::send(Mail::MAIL_INFO, $user->email, "Восстановление пароля", "registration/recover", ["link" => $link, "first_name" => $user->first_name]);
                return ["success" => Yii::t('client', "We've sent you an email with further instructions")];
            }
            else return ["email" => Yii::t("users", "Password can`t be changed")];
        }
        return ["email" => Yii::t("users", "User not found")];
    }
    
    public function actionSetPassword($key = null, $password = false) {
        $user = User::findUserFromRecoverKey($key);
        if ($user) {
            if ($user->testRecoverKey($key)) {
                if ($user->changePasswordFromKey($password, $key)) {

views/site/templ/_auth.php
<?php
use yii\bootstrap\Html;
use app\models\LoginForm;
use yii\widgets\ActiveForm;

use app\models\User;
?>

<div class="form_auth">
    <!--<div class="h3">Вход через соцсети</div>-->
    
    <!--<div class="hr"></div>-->
    <?php 
    $model = new LoginForm;
    $form = ActiveForm::begin([
        'id' => 'loginform',
        'action' => '/site/auth',
        'enableClientValidation' => true,
    ]);
    echo Html::input("hidden", "selector", "#send_comment_button");
    echo Html::input("hidden", "action", null);
    ?>
    <div class="frow auth_error"></div>
    
    <div class="frow">
        <div class="grid">
            <span><?= $form->field($model, "username")->textInput(["placeholder" => "e-Mail"])->label("Логин") ?></span>
        </div>
    </div>
    <div class="frow">
        <div class="">
            <span><?= $form->field($model, "password")->passwordInput(["placeholder" => "Пароль"])->label("Пароль") ?></span>
        </div>
    </div>
    <div class="frow">
        <?= $form->field($model, "rememberMe")->checkbox()->label(false) ?>
    </div>
<!--    <div class="frow">
        Забыли пароль? <a class="form_forgot_a" href="javascript:void(0);">Восстановить</a>
    </div>-->
    <span class="btn user_auth">
        <input type="submit" value="">Войти
    </span>
    <?php
    ActiveForm::end();
    ?>
    <div class="black-social">
        <?php echo yii\authclient\widgets\AuthChoice::widget([
                'baseAuthUrl' => ['site/auth-social', "redirect" => preg_replace("/\?.*$/", "", $_SERVER['REQUEST_URI']), "anchor" => @$anchor]
           ]);
        ?>
    </div>
</div>						
<div class="form_forgot">
    <div class="h3">Восстановление пароля</div>
    <div role="alert"></div>
    <div class="frow">
        Попробовать еще раз <a class="form_login_a" href="javascript:void(0);">Войти</a>
    </div>
    <?php 
    $model = new User;
    $form = ActiveForm::begin([
        'id' => 'recover-form',
        'action' => '/user/recover',
        'method' => 'get',
        'options' => [
            'class' => "form-action",
            'role' => 'changePassword'
        ],
        'enableClientValidation' => true,
    ]);
    ?>
    <div class="mfs_inp full">
        <span><?= $form->field($model, "email")->textInput(["placeholder" => "e-Mail"])->label(false) ?></span>
    </div>
    <span class="user_forgot btn"><input type="submit" value="">восстановить пароль</span>
    <?php
    ActiveForm::end();
    ?>
</div>

views/site/templ/_blogs.php
<?php
use yii\helpers\Url;
use yii\helpers\Html;
use app\components\Site;
use app\models\User;
use yii\widgets\Pjax;
?>

<div class="row">
    <div class="material_title">
        <span>Блоги</span>
    </div>
    <?php
    Pjax::begin(['id' => 'post-list', 'options' => ['class' => 'pjax-wraper']]);
    foreach ($items as $key => $items_for_type) {
        foreach ($items_for_type as $item) {
    ?>
        <div class="material blog col-xs-12" itemscope itemtype="http://schema.org/Article">
            <h2 itemprop="name"><?= Html::a($item->title, ["/material/{$selected}/{$item->slug}"], ["itemprop" => "url"]) ?></h2>
            <?php 
            if (!Yii::$app->user->isGuest && $item->id_user == Yii::$app->user->id) {
                echo Html::tag("div", 
                    Html::a(Html::tag("span", null, ["class" => "glyphicon glyphicon-pencil"]), ["/user/update-post", "id" => $item->id]).
                    Html::a(Html::tag("span", null, ["class" => "glyphicon glyphicon-trash"]),  ["/user/delete-post", "id" => $item->id], [
                        'data' => [
                            'confirm' => Yii::t('common', 'Are you sure you want to delete this item?'),
                            'method' => 'post',
                            'pjax' => 0,
                        ],
                        'class' => 'ajax-action'
                    ]),

                    ["class" => "buttons"]
                );
            }
            ?>
            <div class="info blog">
                <div class="user_name" itemprop="author"><?= Html::a(User::getNameOfUser($item->id_user), User::isMe($item->id_user)?["/user"]:["/user/view", "id" => $item->id_user], [
                    'data' => [
                        'pjax' => 0,
                    ]
                ]) ?></div>
                <div class="date" title="<?= $item->date_created ?>" itemprop="dateCreated"><?= $item->formatDate() ?></div>
                <div class="bar">
                    <div class="comments" onclick="viewComments(this);"><span class="glyphicon glyphicon-comment"></span><div class="count" itemprop="commentCount"><?= $item->comments_count ?></div></div>
                    <div class="views"><span class="glyphicon glyphicon-eye-open"></span><div class="count"><?= $item->view_count ?></div></div>
                </div>
            </div>
            <div class="row">
                <?php if ($item->view_count >= 0 && !empty($item->image)) { ?>
                <div class="col-xs-12">
                    <div class="image preload blog">
                        <?php
                        if (!empty($item->image)/* && Site::image_exisits($item->image)*/) { 
                            //echo '<b class="loading"></b>';
                            echo Html::img($item->image, ["itemprop" => "image"]);
                        }
                        //else echo Html::tag("div", null, ['class' => "without_image"]);
                        ?>
                    </div>
                </div>
                <?php } ?>
                <div class="col-xs-12" itemprop="description">
                    <?=
                    $item->short_text."...";
                    ?>
                </div>
            </div>
        </div>
    <?php
        }
    }
    Pjax::end();
    ?>
</div>

views/site/templ/_gallery.php
<?php if (!empty($model->gallery)) { ?>
    <div class="gallery">
        <?php
        $items = [];
        foreach ($model->getGalleryImagesList() as $image) 
            $items[] = ["img" => $image];

        echo \metalguardian\fotorama\Fotorama::widget(
            [
                'items' => $items,
                'options' => [
                    'nav' => 'thumbs',
                    'loop' => true,
                    'hash' => true,
                    //'ratio' => 800/600,
                ],
//                            'spinner' => [
//                                'lines' => 20,
//                            ],
//                            'tagName' => 'span',
//                            'useHtmlData' => false,
                'htmlOptions' => [
                    'class' => isset($small)?"small_gallery_theme":false,
                    //'id' => 'custom-id',
                ],
            ]
        ); 
        ?>
    </div>
<?php } ?>

views/site/templ/_index.php
<?php
use yii\helpers\Url;
use yii\helpers\Html;
use app\components\Site;

$i = 1;
foreach ($items as $key => $items_for_type) {
    //Что не надо отображать на главной
    if (in_array($key, ['blogs']))
        continue;
?>
<?php if ($i++ % 3 == 0) { ?>
<div class="row empty">
    <div class="banner material"></div>
</div>
<?php } ?>
<div class="row">
    <div class="material_title"><span><?= $key ?></span></div>
    <?php
    echo $this->render("list", ["items" => $items_for_type, "key" => $key, "material" => $selected]);
    ?>
    <?php if ($counts[$key] > count($items_for_type)) { //Если элементов больше чем показаноssss ?>
    <div class="more col-md-12">
        <div class="button" role="<?= $key ?>" page="2" onclick="loadMore(this, <?= $id_section?$id_section:0 ?>, <?= $selected?1:0 ?>);">Показать еще</div>
    </div>
    <?php } ?>
</div>

<?php
}
?>

views/site/templ/_item.php
<?php
use yii\helpers\Html;
use yii\helpers\Url;

use app\components\Site;
use app\modules\files\models\Icons;
?>
<?php 
if (!$is_main) {
?>
<div class="mcontent"> 
    <div class="image preload">
        <b class="loading"></b>
    <?php
    if (!empty($item->image)/* && Site::image_exisits($item->image)*/) { 
        echo Html::img($item->image,["itemprop" => "image"]);
    }
    //else echo Html::tag("div", null, ['class' => "without_image"]);
    ?>
        <div class="icon_photo hide">
            <?= Icons::getImage($item->id_icon, false) ?>
        </div>
    </div>
    <div class="info">
        <div class="date" itemprop="dateCreated" title="<?= $item->date_public ?>"><?= $item->formatDate()  ?></div>
        <div class="bar">
            <div class="comments" onclick="viewComments(this);"><span class="glyphicon glyphicon-comment"></span><div class="count" itemprop="commentCount"><?= $item->comments_count ?></div></div>
            <div class="views"><span class="glyphicon glyphicon-eye-open"></span><div class="count"><?= $item->view_count ?></div></div>
        </div>
    </div>
    <div class="text">
        <span itemprop="name"><?= strip_tags(htmlspecialchars_decode($item->title)) ?></span>. <span itemprop="description"><?= htmlspecialchars_decode($item->short_text) ?></span>
    </div>
</div>
<?php
}
else { //Главная новость
?>
<div class="main_content">
    <div class="col-md-6 preload">
        <b class="loading"></b>
        <?php
        if (!empty($item->image) && Site::image_exisits($item->image)) { 
            echo Html::img($item->image, ["class" => "", "itemprop" => "image"]);
        }
        ?>
    </div>
    <div class="col-md-6 desc small">
        <h2><?= strip_tags(htmlspecialchars_decode($item->title)) ?></h2>
        <div class="section">
            <?php
            if ($name = $item->sectionName())
                echo Html::a($name, ["/material/{$type}/section/".@$item->section->slug]);
            if ($name = $item->subSectionName())
                echo " / ".Html::a($name, ["/material/{$type}/section/".@$item->section->slug."/".@$item->subsection->slug]);
            ?>
        </div>
        <div class="text" itemprop="description">
            <?= htmlspecialchars_decode($item->short_text) ?>
        </div>
        <div class="info main">
            <div class="date" itemprop="dateCreated" title="<?= $item->date_public ?>"><?= $item->formatDate()  ?></div>
            <div class="bar">
                <div class="comments" onclick="viewComments(this);"><span class="glyphicon glyphicon-comment"></span><div class="count" itemprop="commentCount"><?= $item->comments_count ?></div></div>
                <div class="views"><span class="glyphicon glyphicon-eye-open"></span><div class="count"><?= $item->view_count ?></div></div>
            </div>
        </div>
    </div>
</div>    
<?php
} 
?>

views/site/templ/footer.php
<?php
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\widgets\ActiveForm;

use app\components\Site;
use app\components\Settings;
?>

<div class="menu row" style="min-height: 20px;">
<?php
$_items = [];
if ($footer_items = Site::getInstance()->getFooter()) {
    foreach ($footer_items as $item) {
        $_items[] = [
            "label" => $item->title,
            "url" => !empty($item->url)?$item->url:"/info/".$item->slug
        ];
    }
}
echo Nav::widget([
    'encodeLabels' => false,
    'items' => $_items,
    'options' => ['class' => 'navbar-nav'],
    ]); 
?>
</div>
<div class="row">
    <div class="col-md-9">
        <div class="social-groups">
            <ul class="social_list">
                <li><?= Html::a(Html::tag("span", null, ["class" => "social-icons facebook"]), ["#"], ["options" => ["class" => "social"]]) ?></li>
                <li><?= Html::a(Html::tag("span", null, ["class" => "social-icons tweeter"]), ["#"], ["options" => ["class" => "social"]]) ?></li>
                <li><?= Html::a(Html::tag("span", null, ["class" => "social-icons vk"]), ["#"], ["options" => ["class" => "social"]]) ?></li>
            </ul>
        </div>
        <div class="description">
            <?= Settings::getInstance()->getConfig("footer") ?>
        </div>
    </div>
    <div class="col-md-3">
        <div class="callback-form">
            <?php
            $callback = new \app\models\Callback;
            ?>
            <?php 
            $form = ActiveForm::begin([
                'id' => 'callback_form',
                'action' => '/site/callback',
                //'method' => 'get',
                'options' => [
                    'class' => "form-action",
                    'role' => 'callback'
                ],
                'enableClientValidation' => false,
            ]); 
            ?>

            <?= $form->field($callback, 'autor_name')->textInput(['maxlength' => true, "placeholder" => Yii::t("client", "Name")])->label(false) ?>

            <?= $form->field($callback, 'autor_email')->textInput(['maxlength' => true, "placeholder" => Yii::t("client", "e-Mail")])->label(false) ?>

            <?php $form->field($callback, 'autor_telephone')->textInput(['maxlength' => true])->label(false) ?>

            <?= $form->field($callback, 'text')->textarea(['maxlength' => true, /*"placeholder" => Yii::t("client", "Text"),*/ "style" => "height: 100px;"])->label(false) ?>

            <div class="form-group">
                <?= Html::submitButton(Yii::t("client", 'Send'), ['class' => 'btn']) ?>
            </div>

            <?php ActiveForm::end(); ?>

        </div>
    </div>
    
</div>

views/site/templ/list.php
<?php
use yii\helpers\Html;
use app\components\Site;

if ($items) {
    $show_main = false; 
    //Ищем главную новость
    foreach ($items as $i => $item) {
        if ($item['is_show_in_top']) {
            $show_main = $i;
            //Site::getInstance()->setMetaKey("image", $item->image);
            $this->title = strip_tags(htmlspecialchars_decode($item['title']));
            echo "<div class=\"material main col-md-12\" itemscope itemtype=\"http://schema.org/Article\">";
            if ($city_link = $item->getCityPath($key)) { 
?>
            <div class="city">
                <?= $city_link ?>
                <div class="_logo"></div>
            </div>
<?php       } 
            echo Html::a($this->render("_item", [
                "item" => $item,
                "type" => $key,
                "is_main" => true,
                //"city_link" => $item->getCityPath($key)
            ]), [$item->getPath($key)]);
            echo "</div>";
            break;
        }
    }
    
    foreach ($items as $i => $item) {
        if (is_int($show_main) && $i == $show_main)
            continue;
        //Если нет главного материала и заполнены две строки, то пропукаем элемент
//      if (!$show_main && 2*$count_in_row == $i)
//          continue;
        $style = ($item['is_selected'])?"active":false;

        echo "<div class=\"material col-sm-4 {$style}\" itemscope itemtype=\"http://schema.org/Article\">";
        if ($city_link = $item->getCityPath($key)) {
        ?>
            <div class="city">
                <?= $city_link ?>
                <div class="_logo"></div>
            </div>
        <?php  
        }
        echo Html::a($this->render("_item", [
            "item" => $item,
            "type" => $key,
            "is_main" => false,
            "city_link" => $item->getCityPath($key)
        ]), [$item->getPath($key)]);
        echo "</div>";
    }
}

views/site/templ/prefooter.php
<?php
use yii\helpers\Html;
use app\components\Site;
?>

<?php if (isset($items['blogs'])) { //Предфутер ?>
<?php // Стили переопределяются для того, чтобы увеличить размер футера ?>
<style type="text/css">
    .wrap {
        padding-bottom: 715px;
    }
    .footer {
        margin-top: -715px;
        min-height: 715px;
    }
    .prefooter {
        height: 415px;
    }
    
</style>
<div class="talking row">
    <div class="col-md-9">
        <div class="header com-md-12">
            <div class="title"><h2><?= Yii::t('client', "What talking about?") ?></h2></div>
            <div class="create">
                <?php 
                if (Yii::$app->user->isGuest)
                    echo Html::a(Yii::t("client", "Create post"), ["/user", "tab" => "create_post"], ['class' => "btn create-post-button-action", "data" => ["toggle" => "modal", "target" => "#form-auth-modal"]]);
                else echo Html::a(Yii::t("client", "Create post"), ["/user", "tab" => "create_post"], ['class' => "btn create-post-button-action"]);
                ?>
            </div>
        </div>
        <div class="col-md-12" style="padding-left: 0px; padding-right: 0px;">
            <?php
            foreach ($items['blogs'] as $item) {
            ?>
            <div class="post_item col-md-6">
                <div class="post_title"><?= Html::a($item->title, $item->getPath("blogs")) ?></div>
                <div class="info">
                    <div class="post_date"><?= $item->date_public ?></div>
                    <div class="post_section">
                        <?php
                        if ($name = $item->sectionName())
                            echo Html::a($name, ["/".Site::getInstance ()->getLanguage ()."//blogs/section/".@$item->section->slug]);
                        if ($name = $item->subSectionName())
                            echo " / ".Html::a($name, ["/".Site::getInstance ()->getLanguage ()."//blogs/section/".@$item->section->slug."/".@$item->subsection->slug]);
                        ?>
                    </div>
                </div>
            </div>  
            <?php
            }
            ?>
        </div>
    </div>
    <div class="col-md-3">
        <div class="header com-md-12">
            <div class="title"><h2><?= Yii::t('client', "Popular tags") ?></h2></div>
        </div>
        <div class="tags col-md-12" style="padding-left: 0px; padding-right: 0px;">
            <?= $this->render("../modules/tags", ["material" => "blogs"]) ?>
        </div>
    </div>
</div>
<?php } ?>

views/site/templ/social_init.php
<!-- Put this script tag to the <head> of your page -->
<script type="text/javascript" src="//vk.com/js/api/openapi.js?121"></script>
<script type="text/javascript">
  VK.init({apiId: 5234077, onlyWidgets: true});
</script>

<!-- FaceBook -->
<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/ru_RU/sdk.js#xfbml=1&version=v2.5&appId=983645421707243";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>

views/site/templ/socials.php
<div class="item vk">
    <!-- Put this div tag to the place, where the Like block will be -->
    <div id="vk_like"></div>
    <script type="text/javascript">
    VK.Widgets.Like("vk_like", {type: "button", height: 20});
    </script>
</div>
<div class="item">
    <div class="fb-like" data-href="<?= $url ?>" data-layout="button_count" data-action="like" data-show-faces="true" data-share="false"></div>
</div>
<div class="item">
    <a href="https://twitter.com/share" class="twitter-share-button"{count} data-via="vacansii_kitary">Tweet</a>
    <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');</script>
</div>